Memcached::set
Memcached::setMulti
Memcached
PHP Manual

# Memcached::setByKey

(PECL memcached >= 0.1.0)

Memcached::setByKey — Store an item on a specific server

### Beschreibung

public bool Memcached::setByKey ( string `$server_key` , string `$key` , mixed `$value` [, int `$expiration` ] )

Memcached::setByKey() is functionally equivalent to Memcached::set, except that the free-form `server_key` can be used to map the `key` to a specific server. This is useful if you need to keep a bunch of related keys on a certain server.

### Parameter-Liste

`server_key`

  Ein Schlüssel, der den Server bestimmt, auf dem die Daten abgelegt werden sollen.

`key`

  Der Schlüssel, unter dem der Wert abgelegt werden soll.

`value`

  Der zu speichernde Wert.

`expiration`

  Die Verfallszeit, Vorgabewert ist 0. Siehe Verfallszeiten für weiterführende Informationen.

### Rückgabewerte

Gibt bei Erfolg `TRUE` zurück. Im Fehlerfall wird `FALSE` zurückgegeben. Benutzen Sie wenn nötig Memcached::getResultCode.

### Beispiele

Beispiel #1 Memcached::setByKey() example

`<?php
$m = new Memcached();
$m->addServer('localhost', 11211);
/* keep IP blocks on a certain server */
$m->setByKey('api-cache', 'block-ip:169.254.253.252', 1);
$m->setByKey('api-cache', 'block-ip:169.127.127.202', 1);
?>`

### Siehe auch

- Memcached::set - Store an item

Memcached::set
Memcached::setMulti
Memcached
PHP Manual